=== debian/changelog ===
ros-bouncy-connext-cmake-module (0.5.3-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 23:52:51 -0000
