=== debian/control ===
Source: ros-bouncy-connext-cmake-module
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-bouncy-ament-cmake, ros-bouncy-ament-lint-auto, ros-bouncy-ament-lint-common, rti-connext-dds-5.3.1, ros-bouncy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-bouncy-connext-cmake-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-bouncy-ament-cmake, ros-bouncy-ros-workspace
Description: Provide CMake module to find RTI Connext.
